package gecco2015.cwmoead;

import jmetal.core.SolutionSet;

public class LimitedTradeoffPreferenceEvaluator implements UserPreferenceEvaluator {


    @Override
    public double[] sortByUserPreference(SolutionSet pop) {

        double[] values = new double[pop.size()];

        for (int i = 0; i < pop.size(); i++) {
            double tmp = Math.abs(pop.get(i).getObjective(1)/pop.get(i).getObjective(0));
            if (tmp < 0.5 || tmp > 2) {
                values[i] = 1;
            } else {
                values[i] = -1;
            }
        }

        return values;
    }

}
